:root{
   --worm-pos4: 205px;
   --worm-pos3: 520px;
   --worm-pos2: 550px;
   --worm-pos1: 600px;
   --worm-final: 100px;
   --path:path('M 50 0 Q 100 450 600 400 ') ;
   --delay: 0ms;
   --path2:path( 'M 350 0 C 350 150 150 500 350 600  ');
   --path3:path('M 800 150 Q 650 500 250 550  ');


}
#reload:hover{
cursor: pointer;
transform: rotate(-180deg);
transition: 1s;
}
@media screen and (min-width: 1000px){
    #reload{
        background-image: url(../images/refresh.png);
        background-size: cover;
        width: 20vh;
        height: 20vh;
        right : 35vw;
        bottom: 100px;
        z-index: 1500;
        visibility : hidden;
    
    }
    
#mon-worms{
    visibility:hidden;
    z-index: 101;
    background-image: url(../images/gauchecentre.gif);
    background-size: cover;
        width: 105px;
        height:105px;
        background-position: center center ;
        left:var( --worm-pos1);
        bottom:240px;
        
    }
    
    #btn-ok{
        width: 45px;
        height: 65px;
        left: 455px;
        top: 125px;
    }
    #name{
        width:300px;
        font-size: 30px;
        position: absolute;
        background: linear-gradient(0.25turn, #3f87a6, #ebf8e1, #f69d3c);
        color: whitesmoke   ;
        font-weight: bold;
        left:130px;
        top:130px;
        border-radius: 10px;
    }
    .text{
        vertical-align: bottom;
        text-align: start;
    
        color: white;
        list-style: none; 
        bottom:0px;
        left:0px;
    }
    @keyframes reductionnom {
        0%{ z-index: 101;
             width:1050px;
             height:450px;
             border : 10px rgba(143, 73, 201, 0.822) solid;
             border-radius: 20px;
             background-image: url(../images/Worms-temp.jpg);
             background-position-x: center;
             left:40px;
             bottom:200px;
         }
         100%{
             padding-left : 15px;
             padding-bottom: 3px;
             z-index: 101;
             width:120px;
             height:30px;
             background: linear-gradient(0.25turn, #3f87a6, #ebf8e1, #f69d3c);
             border-radius: 2px!important;
             background-color: red;
             left:var(--worm-pos1);
             bottom:370px;
     
             }
            
         
     
     }
     @keyframes reductionnominverse {
        0%{ 

             padding-left : 15px;
             padding-bottom: 3px;
             z-index: 101;
             width:120px;
             height:30px;
             background: linear-gradient(0.25turn, #3f87a6, #ebf8e1, #f69d3c);
             border-radius: 2px!important;
             background-color: red;
             left:var(--worm-pos1);
             bottom:370px;
         }
         100%{
            z-index: 101;
            width:1050px;
            height:450px;
            border : 10px rgba(143, 73, 201, 0.822) solid;
            border-radius: 20px;
            background-image: url(../images/Worms-temp.jpg);
            background-position-x: center;
            left:40px;
            bottom:200px;


            
     
             }
            
         
     
     }


     
    #simplon{
        display: block;
        z-index: 1050;
        width: 130px;
    }
    #enter-name{
        display: block;
        z-index: 1800;
        width:700px;
        height:300px;
        border : 2px rgba(143, 73, 201, 0.822) solid;
        border-radius: 10px;
        background-color: black;
        left:400px;
        bottom:400px;
        animation-play-state: paused;
        animation-name: reductionnom;
        animation-duration: 2s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards;
        text-overflow: ellipsis;
        overflow: hidden;
        font-weight: 900;
        font-size: 17px;
    
    
    }
    #grand-soleil{
        background-repeat: no-repeat;
        background-image: url(../images/sunset.png);
        position: absolute;
        z-index: 97;
        width: 100%;
        height: 271px;
        left: 0px;
        top: 0px;
        background-size: cover;
        background-position-y: -317px;
    }
    #ile{
        background-image: url(../images/ile03.gif);
        background-repeat: no-repeat;
        background-size: cover;
        z-index: 99;
        width: 100%;
        height:800px;
        left: 0px;
        
    }
    #para-crate{
        z-index: 1500;
        width:120px ;
        height: 180px;
        left:30px;
        top:-210px;
    
    
        
    
    }
    #pigeon-ico:hover{cursor: pointer;}
    #eau-ico:hover{cursor: pointer;}
    #pigeon-ico{ 
        z-index: 100;
        width:70px;
        height: 70px;
        left: 240px;
        top:10px;
    }
#eau-ico{ 
    z-index: 100;
    width:70px;
    height: 70px;
    left: 240px;
    top:100px;
}
#crate:hover{cursor: pointer;}
#crate{ 
    z-index: 100;
    width:70px;
    height: 70px;
    border-radius: 50%;
    left:240px;
    top:190px;
}


#onglet:hover{cursor: pointer;}
#onglet{
    color : whitesmoke;
    text-align: center;
    z-index: 1500;
    position: absolute;
    right: 70px;
    top:0px;
    width: 120px;
    height: 30px;
    border : 2px solid black;
    background-color: black;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    animation-duration: 3s;
    transition: 1s;
}

#nom-final{ 
    z-index: 150;
    left:0px;
    top:0px;
    color : rgba(0, 0, 0, 0.699);
    font-size: 22px;
}

#btn-ok:hover{
    cursor: pointer;
    background-color: forestgreen;
}
.fond{
    overflow: hidden;
    z-index: 0;
    width: 800px;
    height: 700px;
    background-color: white;}


.position-relative{
    position: relative;
}
.position-absolue{
    position: absolute;
}


#zonetext{   
    align-self: flex-end;
    vertical-align: bottom;
    overflow-y: scroll;
    right : 50px;
    top: -220px;
    z-index: 1200;
    background-color: black;
    width: 300px;
    height: 150px;
    border: 4px white solid ;
    border-top:0px;
    animation-duration: 3s;
    transition: 1s;

}

.text:hover{
cursor: pointer;
color : red!important;
    }

    .text{
        vertical-align: bottom;
        text-align: start;
    
        color: white;
        list-style: none; 
        bottom:0px;
        left:0px;
    }
    #help{
        visibility: hidden;
        width: 400px;
        height: 400px;
        background-color: rgba(0, 0, 0, 0.747);
        color: white;
        border: 5px rgba(255, 255, 255, 0.658) solid;
        border-radius: 10px;
        top:10%;
        left:10%;
        z-index: 1500;
    }
    #cross:hover{cursor: pointer;}
    #cross{
        text-align: center;
        position: absolute;
        width: 20px;
        height: 20px;
        right:10px;
        top:12px;
        z-index: 1501;
        border-radius: 50%;
        background-color: red;
    }
    #etat{
        min-width: min-content;
        color : yellowgreen;
        opacity: 0;
        right:50px;
        top:0px;
        z-index: 1500;
        width: 400px;
        height: 70px;
        background-color: rgba(0, 0, 0, 0.658);
        border:2px white solid;
        animation-iteration-count: 1,1;
    }
    #console
    {
    display: block;
    color: white;
    font-size: 18px;
    font-weight: bold;
    z-index: 1500;
    width: 300px;
    height: 70px;
    background-color: black;
    border: 4px white solid ;
    border-bottom:0px;
    right : 50px;
    top: -70px;
    animation-duration: 3s;
    transition: 1s;
    
    }    

    #barre-soif{
        overflow: hidden;
        z-index: 150;
        width :200px;
        height: 25px;
        border-radius: 10px;
        background-color: rgba(0, 0, 255, 0.76);
        border: 2px  #0275d8  solid;
        left : -1px;
        top: -1px;
        transition: linear;
    
    }
    #barre-ennuie{
        overflow: hidden;
        z-index: 150;
        width :200px;
        height: 25px;
        border-radius: 10px;
        background-color: rgba(0, 128, 0, 0.733);
        border: 2px #5cb85c  solid;
        left : -1px;
        top: -1px;
    
    }
    #vie{
        overflow: hidden;
        display:none; 
        z-index: 150;
        border: 2px black  solid;
        border-radius: 10px;
        background-color:  #d12a2ae1 ;
        width : 200px;
        height: 25px; 
        left: -1px;
        top: -1px;
    
    }
    
    
    #container-barre-vie{
        left:30px;
        top:210px;
        z-index: 99;
        width : 202px;
        height : 27px;
        border : 2px solid white;
        border-radius: 10px;
    
    }
    #container-barre-soif{
        left:30px;
        top:120px;
        z-index: 99;
        width : 202px;
        height : 27px;
        border : 2px solid white;
        border-radius: 10px;
    
    }
    #container-barre-ennuie{
        left:30px;
        top:30px;
        z-index: 99;
        width : 202px;
        height : 27px;
        border : 2px solid white;
        border-radius: 10px;
    }
    .parler{
        animation-name:etat;
        animation-iteration-count: 1;
        animation-duration: 5s;
    }
    #mort{
        background-image: url(../images/gameover.jpg);
        background-size: cover;
        background-position: center;
        opacity: 90%;
        text-align: center;
        padding-bottom: auto;
        color: white;
        font-size: 35px;
visibility: hidden;
        z-index: 1060;
        width:800px;
        height: 600px;
        border:20px rgba(204, 10, 10, 0.664) solid ;
        border-radius: 30px;
        left:200px;
        top:50px;
    }
    
    
    
    #nuage1{
        opacity: 0;
        z-index: 99;
        width : 300px;
        height : 200px;
        left : var(--worm-pos3);
        top: 0px;
        
    }
    #nuage2{
        opacity: 0;
        z-index: 99;
        width : 300px;
        height : 200px;
        left : var(--worm-pos3);
        top: 00px;
    
    }
    #pluie{    
        opacity:0;
        z-index: 99;
        width : 300px;
        height : 370px;
        left : var(--worm-pos3);
    
    }
    .animate{
        animation-name: parachute;
        offset-path: var(--path2);
        animation-duration: 5s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards;
        transform: rotate(-90deg);
    }
    #batte-ico{
        border-radius: 50%;
        z-index: 101;
        width:70px;
        height: 70px;
        left: 240px;
        top:10px;
    }
    #pigeon{
        visibility: hidden;
        z-index:1500;
        width:200px;
        right:-300px;
        height: 200px;}
    .pigeonanim{
        animation: pigeonshoot 3s forwards;
        offset-path:  var(--path3);
       
    }
    .versoin
    {
        animation: versoinauto 6s forwards;
    
    }
   
    
 
    @keyframes ver{
        0%{width: 90px;height:70px;}
        50%{width:70px;height:90px;}
        100%{width: 90px;height:70px;}
    }
    @keyframes spin { 
    
            0% {transform: rotate(0deg); }
    
            100%{transform: rotate(360deg); }
    }
    @keyframes move {
        10% {
            opacity: 1;
            offset-distance: 0%;
        }
       
      90% {
            opacity: 1;
        offset-distance: 100%;
            box-shadow: none;
      }
        100% {
    
            opacity: 0;
        offset-distance: 100%;
          }
    }
    @keyframes pluie {
        0% { top: -300px;opacity: 0;}
    
        100%{top: 0px;opacity: 1;}
    }
    @keyframes goutte {
        0% { top: 00px;opacity: 0;}
    
        100%{top: 100px;opacity: 1;}
    }
    
    @keyframes pluiefin {
        0% { top: 00px;opacity: 1;}
    
        100%{top: -300px;opacity: 0;}
    }
    @keyframes gouttefin {
        0% { top: 100px;opacity: 1;}
    
        100%{top: 00px;opacity: 0;}
    }
    @keyframes onglet {
        0% { top: 0;}
    
        100%{top: 220px;}
    }
    @keyframes console {
        0% { top: -220px;}
    
        100%{top: 0px;}
    }
    @keyframes closeOnglet {
        0%{ top: 220px;}
        100%{top: 0px;}
    }
    @keyframes closeConsole {
        0% { top: 0px;}
    
        100%{top: -220px;}
    }
    @keyframes textconsole {
        0% { top: -150px;}
    
        100%{top: 70px;}
    }
    @keyframes texteconsoleclose {
        0% { top: 70px;}
    
        100%{top: -150px;}
    }

    @keyframes parachute {
        0% {
            opacity: 0.1;
            offset-distance: 0%;
        }
    
        100% {
            opacity: 1;
            transform: rotate(-30deg);
            offset-distance: 100%;
          }
    }
    @keyframes parachute2 {
        0% {
            opacity: 0.1;
            offset-distance: 0%;
        }
    
        100% {
            opacity: 1;
            transform: rotate(-30deg);
            offset-distance: 100%;
          }
    }
    @keyframes etat{
        0%{right:50; opacity: 0;}
        25%{right:350px; opacity: 1;}
        50%{right:350px; opacity: 1;}
        75%{right:350px; opacity: 1;}
        100%{right:50; opacity: 0;}
    }
    @keyframes etat2{
        0%{right:50; opacity: 0;}
        25%{right:350px; opacity: 1;}
        50%{right:350px; opacity: 1;}
        75%{right:350px; opacity: 1;}
        100%{right:50; opacity: 0;}
    }

     
    @keyframes versoinauto{
        0%{  left:var(--worm-pos1);background-image: url(../images/marchegauche.gif);}
        50%{ left:320px;background-image: url(../images/marchedroite.gif); }
        100%{ left:var(--worm-pos1); }
    }
    


    @keyframes slidepigeon {
        0%{left: 240px;}
        100%{left: 330px;}
    }
    @keyframes slidepigeonend {
        0%{left: 330px;}
        100%{left: 240px;}
    }
    @keyframes pigeonshoot {
        0%{transform: rotate(-120deg);offset-distance: 0%;opacity: 1;bottom:1000px; left:900px}
        70%{ width: 200px; height: 200px;transform: rotate(-190deg);offset-distance: 99%;opacity: 1;}
        100%{  width: 600%; height: 800%; transform: rotate(3600deg);offset-distance: 100%;opacity: 0;    bottom:700px;
            left:var(--worm-pos3)}
    
    
    }
    
        // ---------------------------------------------- a  traiter -----------------------------
    

}
//-----------------------------------------------------------------------------------

@media screen and (max-width: 1000px){
    
#mon-worms{
    visibility:hidden;
    z-index: 101;
    background-image: url(../images/gauchecentre.gif);
    background-size: cover;
        width: 105px;
        height:105px;
        background-position: center center ;
        left:var(--worm-pos4);
        bottom:120px;
        
    }
    
    #btn-ok{
        width: 45px;
        height: 65px;
        left: 325px;
        top: 150px;
    }
    #name{
        width:300px;
        font-size: 30px;
        position: absolute;
        background: linear-gradient(0.25turn, #3f87a6, #ebf8e1, #f69d3c);
        color: whitesmoke   ;
        font-weight: bold;
        left:14px;
        top:160px;
        border-radius: 10px;
    }
    .text{

        vertical-align: bottom;
        text-align: start;
    
        color: white;
        list-style: none; 
        bottom:50px;
        left:0px;
    }
  
        

    @keyframes reductionnom {
        0%{ z-index: 101;
             width:400px;
             height:250px;
             border : 10px rgba(143, 73, 201, 0.822) solid;
             border-radius: 20px;
             background-image: url(../images/Worms-temp.jpg);
             background-size: cover;
             background-position-x: center;
             left:40px;
             bottom:200px;
         }
         100%{
             padding-left : 15px;
             padding-bottom: 3px;
             z-index: 101;
             width:120px;
             height:30px;
             background: linear-gradient(0.25turn, #3f87a6, #ebf8e1, #f69d3c);
             border-radius: 2px!important;
             background-color: red;
             left:var(--worm-pos4);
             bottom:230px;
     
             }
               
     
     }
    #simplon{
        z-index: 1050;
        width: 130px;
    }
    #enter-name{
        z-index: 1800;
        width:400px;
        height:300px;
        border : 2px rgba(143, 73, 201, 0.822) solid;
        border-radius: 10px;
        background-color: black;
        left:400px;
        bottom:400px;
        animation-play-state: paused;
        animation-name: reductionnom;
        animation-duration: 2s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards;
      
    
    
    }
 
    #ile{
        background-image: url(../images/ileparadis.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        background-position-x: center;
        z-index: 99;
        width: 100%;
        height:800px;
        left: 0px;
        
    }

#para-crate{
    z-index: 1500;
    width:120px ;
    height: 180px;
    left: -150px;
    top: -100px;


    

}

#pigeon-ico:hover{cursor: pointer;}
#eau-ico:hover{cursor: pointer;}
#pigeon-ico{ 
    z-index: 100;
    width:70px;
    height: 70px;
    left: 240px;
    top:10px;
}

#eau-ico{ 
    z-index: 100;
    width:70px;
    height: 70px;
    left: 240px;
    top:100px;
}
#crate:hover{cursor: pointer;}
#crate{ 
    z-index: 100;
    width:70px;
    height: 70px;
    border-radius: 50%;
    left:240px;
    top:190px;
}


#onglet:hover{cursor: pointer;}
#onglet{
    color : whitesmoke;
    text-align: center;
    z-index: 1500;
    position: absolute;
    right: 70px;
    top:0px;
    width: 120px;
    height: 30px;
    border : 2px solid black;
    background-color: black;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    animation-duration: 3s;
    transition: 1s;
}

#nom-final{ 
    color : rgba(0, 0, 0, 0.699);
    font-size: 22px;
}

#btn-ok:hover{
    cursor: pointer;
    background-color: forestgreen;
}
.fond{
    overflow: hidden;
    z-index: 0;
    width: 800px;
    height: 700px;
    background-color: white;}


.position-relative{
    position: relative;
}
.position-absolue{
    position: absolute;
}


#zonetext{   
    align-self: flex-end;
    vertical-align: bottom;
    overflow-y: scroll;
    right : 0px;
    top: -220px;
    z-index: 1200;
    background-color: black;
    width: 300px;
    height: 150px;
    border: 4px white solid ;
    border-top:0px;
    animation-duration: 3s;
    transition: 1s;

}

.text:hover{
cursor: pointer;
color : red!important;
    }

.text{
    vertical-align: bottom;
    text-align: start;

    color: white;
    list-style: none; 
    bottom:0px;
    left:0px;
}
#help{
    visibility: hidden;
    width: 400px;
    height: 400px;
    background-color: rgba(0, 0, 0, 0.747);
    color: white;
    border: 5px rgba(255, 255, 255, 0.658) solid;
    border-radius: 10px;
    top:10%;
    left:10%;
    z-index: 1550;
}
#cross:hover{cursor: pointer;}
#cross{
    text-align: center;
    position: absolute;
    width: 20px;
    height: 20px;
    right:10px;
    top:12px;
    z-index: 1501;
    border-radius: 50%;
    background-color: red;
}

#etat{
    min-width: min-content;
    color : yellowgreen;
    opacity: 0;
    right:10px;
    bottom:0px;
    z-index: 1500;
    width: 250px;
    height: 70px;
    background-color: rgba(0, 0, 0, 0.658);
    border:2px white solid;
    animation-iteration-count: 1,1;
}
#console
{
display: block;
color: white;
font-size: 18px;
font-weight: bold;
z-index: 1500;
width: 300px;
height: 70px;
background-color: black;
border: 4px white solid ;
border-bottom:0px;
right :     0px;
top: -70px;
animation-duration: 3s;
transition: 1s;

}    


#barre-soif{
    overflow: hidden;
    z-index: 150;
    width :200px;
    height: 25px;
    border-radius: 10px;
    background-color: rgba(0, 0, 255, 0.76);
    border: 2px  #0275d8  solid;
    left : -1px;
    top: -1px;
    transition: linear;

}
#barre-ennuie{
    overflow: hidden;
    z-index: 150;
    width :200px;
    height: 25px;
    border-radius: 10px;
    background-color: rgba(0, 128, 0, 0.733);
    border: 2px #5cb85c  solid;
    left : -1px;
    top: -1px;

}
#vie{
    overflow: hidden;
    display:none; 
    z-index: 150;
    border: 2px black  solid;
    border-radius: 10px;
    background-color:  #d12a2ae1 ;
    width : 200px;
    height: 25px; 
    left: -1px;
    top: -1px;

}

#container-barre-vie{
    left:30px;
    top:210px;
    z-index: 99;
    width : 202px;
    height : 27px;
    border : 2px solid white;
    border-radius: 10px;

}
#container-barre-soif{
    left:30px;
    top:120px;
    z-index: 99;
    width : 202px;
    height : 27px;
    border : 2px solid white;
    border-radius: 10px;

}
#container-barre-ennuie{
    left:30px;
    top:30px;
    z-index: 99;
    width : 202px;
    height : 27px;
    border : 2px solid white;
    border-radius: 10px;
}
.parler{
    animation-name:etat;
    animation-iteration-count: 1;
    animation-duration: 5s;
}
#reload{
    background-image: url(../images/refresh.png);
    background-size: cover;
    width: 10vh;
    height: 10vh;
    right : 300px;
    bottom: 50px;

}
#mort{
    background-image: url(../images/gameover.jpg);
    background-size: cover;
    background-position: center;
    opacity: 90%;
    text-align: center;
    padding-bottom: auto;
    color: white;
    font-size: 35px;
    display:none;
    z-index: 1060;
    width:450px;
    height: 350px;
    border:20px rgba(204, 10, 10, 0.664) solid ;
    border-radius: 30px;
    left:20px;
    top:50px;
}



#nuage1{
    opacity: 0;
    z-index: 99;
    width : 300px;
    height : 200px;
    left : var(--worm-pos4);
    top: 100px;
    
}
#nuage2{
    opacity: 0;
    z-index: 99;
    width : 300px;
    height : 200px;
    left : var(--worm-pos4);
    top: 100px;

}
#pluie{    
    top:100px;
    opacity:0;
    z-index: 99;
    width : 300px;
    height : 370px;
    left : var(--worm-pos4);

}

.animate{
    animation-name: parachute;
    offset-path: var(--path2);
    animation-duration: 5s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    transform: rotate(-90deg);
}
#batte-ico{
    border-radius: 50%;
    z-index: 101;
    width:70px;
    height: 70px;
    left: 240px;
    top:10px;
}
#pigeon{
    visibility: hidden;
    z-index:1500;
    width:200px;
    right:-100px;
    height: 130px;}
.pigeonanim{
    animation: pigeonshoot 3s forwards;
    offset-path:  var(--path3);
   
}
    
    
.versoin
{
    animation: versoinauto2 6s forwards;

}

@keyframes move {
    10% {
        opacity: 1;
        offset-distance: 0%;
    }
   
  90% {
        opacity: 1;
    offset-distance: 100%;
        box-shadow: none;
  }
    100% {

        opacity: 0;
    offset-distance: 100%;
      }
}
@keyframes pluie {
    0% { top: -200px;opacity: 0;}

    100%{top: 100px;opacity: 1;}
}
@keyframes goutte {
    0% { top: 100px;opacity: 0;}

    100%{top: 200px;opacity: 1;}
}

@keyframes pluiefin {
    0% { top: 100px;opacity: 1;}

    100%{top: -200px;opacity: 0;}
}
@keyframes gouttefin {
    0% { top: 200px;opacity: 1;}

    100%{top: 100px;opacity: 0;}
}

@keyframes onglet {
    0% { top: 0;}

    100%{top: 220px;}
}
@keyframes console {
    0% { top: -220px;}

    100%{top: 0px;}
}
@keyframes closeOnglet {
    0%{ top: 220px;}
    100%{top: 0px;}
}
@keyframes closeConsole {
    0% { top: 0px;}

    100%{top: -220px;}
}
@keyframes textconsole {
    0% { top: -150px;}

    100%{top: 70px;}
}
@keyframes texteconsoleclose {
    0% { top: 70px;}

    100%{top: -150px;}
}

@keyframes etat{
    0%{bottom:-70px; opacity: 0;}
    25%{bottom:120px; opacity: 1;}
    50%{bottom:120px; opacity: 1;}
    75%{bottom:120px; opacity: 1;}
    100%{bottom:-70px; opacity: 0;}
}
@keyframes etat2{
    0%{bottom:-70px; opacity: 0;}
    25%{bottom:120px; opacity: 1;}
    50%{bottom:120px; opacity: 1;}
    75%{bottom:120px; opacity: 1;}
    100%{bottom:-70px; opacity: 0;}
}
@keyframes parachute {
    0% {
        opacity: 0.1;
        offset-distance: 0%;
    }

    100% {
        opacity: 1;
        transform: rotate(-30deg);
        offset-distance: 100%;
      }
}
@keyframes parachute2 {
    0% {
        opacity: 0.1;
        offset-distance: 0%;
    }

    100% {
        opacity: 1;
        transform: rotate(-30deg);
        offset-distance: 100%;
      }
}

@keyframes versoinauto2{
    0%{  left:var(--worm-pos4);background-image: url(../images/marchegauche.gif);}
    49%{ left:0px;background-image: url(../images/gauchecentre.gif);}
    50%{ left:0px;}
    51%{ left:0px;background-image: url(../images/marchedroite.gif);}
    99%{ left:var(--worm-pos4);background-image: url(../images/droitecentre.gif); }
    100%{ left:var(--worm-pos4); }
}
@keyframes slidepigeon {
    0%{left: 240px;}
    100%{left: 330px;}
}
@keyframes slidepigeonend {
    0%{left: 330px;}
    100%{left: 240px;}
}
@keyframes pigeonshoot {
    0%{transform: rotate(-120deg);offset-distance: 0%;opacity: 1;bottom:1000px; left:600px}
    70%{ width: 200px; height: 200px;transform: rotate(-190deg);offset-distance: 99%;opacity: 1;}
    100%{  width: 600%; height: 800%; transform: rotate(3600deg);offset-distance: 100%;opacity: 0;    bottom:500px;
        left:var(--worm-pos3)}


}

}

    // ---------------------------------------------- a  traiter -----------------------------



@import "../bootstrap/scss/bootstrap.scss";